Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui
Class GUIProp

    java.lang.Object
      org.basex.core.AProp
          org.basex.gui.GUIProp

    public final class GUIProp

extends AProp

This class contains properties which are used in the GUI. They are initially read from and finally written to disk, except for the properties following the `SKIP` flag.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`static java.lang.Object[]` | `COLORBLUE` Blue GUI color factor.
`static java.lang.Object[]` | `COLORGREEN` Green GUI color factor.
`static java.lang.Object[]` | `COLORRED` Red GUI color factor.
`static java.lang.Object[]` | `COLORSLOC` Dialog location.
`static java.lang.Object[]` | `COMMANDS` Last command inputs.
`static java.lang.Object[]` | `CREATEPATH` Path for creating new XML Documents.
`static java.lang.Object[]` | `EXECRT` Flag for realtime context switch.
`static java.lang.Object[]` | `FILECONT` Show file contents in TreeMap.
`static java.lang.Object[]` | `FILTERRT` Flag for realtime context switch.
`static java.lang.Object[]` | `FISHH` Height of the fisheye view.
`static java.lang.Object[]` | `FISHW` Width of the fisheye view.
`static java.lang.Object[]` | `FONT` Default GUI Font.
`static java.lang.Object[]` | `FONTALIAS` Anti-aliasing mode.
`static java.lang.Object[]` | `FONTSIZE` Font size.
`static java.lang.Object[]` | `FONTSLOC` Dialog location.
`static java.lang.Object[]` | `FONTTYPE` Font TYPE = plain, bold, italics).
`static java.lang.Object[]` | `FSALL` Flag for importing complete file system hierarchy.
`static java.lang.Object[]` | `FSBACKING` Name of the backingroot.
`static java.lang.Object[]` | `FSDBNAME` Name of the filesystem database.
`static java.lang.Object[]` | `FSIMPORTPATH` Path for importing the file system.
`static java.lang.Object[]` | `FSMOUNT` Name of the mountpoint.
`static java.lang.Object[]` | `GUILOC` GUI position.
`static java.lang.Object[]` | `GUISIZE` GUI height.
`static java.lang.Object[]` | `HELPLOC` Dialog location.
`static java.lang.Object[]` | `HELPSIZE` Dialog size.
`static java.lang.Object[]` | `JAVALOOK` Flag for Java look and feel.
`static java.lang.Object[]` | `LAYOUTCLOSED` GUI Layout.
`static java.lang.Object[]` | `LAYOUTOPENED` GUI Layout.
`static java.lang.Object[]` | `LENSSCALE` Scaling to use in the Map One-click-focus.
`static java.lang.Object[]` | `MAPALGO` Map algorithm.
`static java.lang.Object[]` | `MAPATTS` Show attributes in treemap.
`static java.lang.Object[]` | `MAPDIST` Distort map in mouse context.
`static java.lang.Object[]` | `MAPFS` Shows real file contents in the treemap.
`static java.lang.Object[]` | `MAPINTERACTION` Choice of interacting with TreeeMap.
`static java.lang.Object[]` | `MAPLAYOUTLOC` Dialog location.
`static java.lang.Object[]` | `MAPOFFSETS` Treemap Offsets.
`static java.lang.Object[]` | `MAPTHUMBSIZE` Size of thumb focus in map view fraction of total size.
`static java.lang.Object[]` | `MAPWEIGHT` number of children <-> size weight in (0;100).
`static java.lang.Object[]` | `MAXSTATE` Flag for maximized GUI window.
`static java.lang.Object[]` | `MONOFONT` Default GUI Monospace Font.
`static java.lang.Object[]` | `MOUSEFOCUS` Focus follows mouse.
`static java.lang.Object[]` | `PERFINFO` Flag for skipping time intensive treemap infos.
`static java.lang.Object[]` | `PLOTDOTS` Dot sizes in plot.
`static java.lang.Object[]` | `PLOTXLOG` Logarithmic plot.
`static java.lang.Object[]` | `PLOTYLOG` Logarithmic plot.
`static java.lang.Object[]` | `QUERIES` Last XQuery files.
`static java.lang.Object[]` | `SEARCH` Last keyword inputs.
`static java.lang.Object[]` | `SEARCHMODE` Current input mode in global text field (Search, XQuery, Command).
`static java.lang.Object[]` | `SHOWBUTTONS` Flag for displaying buttons in the GUI window.
`static java.lang.Object[]` | `SHOWEXPLORE` Flag for activated query view.
`static java.lang.Object[]` | `SHOWFOLDER` Flag for activated tree view.
`static java.lang.Object[]` | `SHOWHELP` Flag for activated help view.
`static java.lang.Object[]` | `SHOWINFO` Flag for activated info view.
`static java.lang.Object[]` | `SHOWINPUT` Flag for displaying the text field in the GUI window.
`static java.lang.Object[]` | `SHOWMAP` Flag for activated map view.
`static java.lang.Object[]` | `SHOWMENU` Flag for displaying the menu in the GUI window.
`static java.lang.Object[]` | `SHOWNAME` Flag for dissolving name attributes.
`static java.lang.Object[]` | `SHOWPLOT` Flag for activated plot view.
`static java.lang.Object[]` | `SHOWSTARTTEXT` Flag for activated result view after starting.
`static java.lang.Object[]` | `SHOWSTATUS` Flag for displaying the status bar in the GUI window.
`static java.lang.Object[]` | `SHOWTABLE` Flag for activated table view.
`static java.lang.Object[]` | `SHOWTEXT` Flag for activated result view.
`static java.lang.Object[]` | `SHOWTREE` Flag for activated tree view.
`static java.lang.Object[]` | `SHOWXQUERY` Flag for activated xquery view.
`static java.lang.Object[]` | `SIMPLEFD` Flag for showing the simple file dialog.
`static java.lang.Object[]` | `SKIP` The following options are not saved to disk; don't remove this flag.
`static java.lang.Object[]` | `XQPATH` Path for XQuery files.
`static java.lang.Object[]` | `XQUERY` Last XQuery inputs.
`static java.lang.Object[]` | `ZOOMBOXALPHA` Alpha value of the zoom box.

Constructor Summary
`GUIProp()` Constructor.

Method Summary
`void` | `files(IO file)` Refreshes the list of recent query files.

Methods inherited from class org.basex.core.AProp
`get, invert, is, num, nums, object, set, set, set, set, set, set, strings, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FONT

    public static final java.lang.Object[] FONT

  Default GUI Font.

### MONOFONT

    public static final java.lang.Object[] MONOFONT

  Default GUI Monospace Font.

### FONTTYPE

    public static final java.lang.Object[] FONTTYPE

  Font TYPE = plain, bold, italics).

### FONTSIZE

    public static final java.lang.Object[] FONTSIZE

  Font size.

### FONTALIAS

    public static final java.lang.Object[] FONTALIAS

  Anti-aliasing mode.

### COLORRED

    public static final java.lang.Object[] COLORRED

  Red GUI color factor.

### COLORGREEN

    public static final java.lang.Object[] COLORGREEN

  Green GUI color factor.

### COLORBLUE

    public static final java.lang.Object[] COLORBLUE

  Blue GUI color factor.

### GUISIZE

    public static final java.lang.Object[] GUISIZE

  GUI height.

### GUILOC

    public static final java.lang.Object[] GUILOC

  GUI position.

### MAXSTATE

    public static final java.lang.Object[] MAXSTATE

  Flag for maximized GUI window.

### SHOWBUTTONS

    public static final java.lang.Object[] SHOWBUTTONS

  Flag for displaying buttons in the GUI window.

### SHOWINPUT

    public static final java.lang.Object[] SHOWINPUT

  Flag for displaying the text field in the GUI window.

### SHOWSTATUS

    public static final java.lang.Object[] SHOWSTATUS

  Flag for displaying the status bar in the GUI window.

### LAYOUTCLOSED

    public static final java.lang.Object[] LAYOUTCLOSED

  GUI Layout.

### LAYOUTOPENED

    public static final java.lang.Object[] LAYOUTOPENED

  GUI Layout.

### SHOWINFO

    public static final java.lang.Object[] SHOWINFO

  Flag for activated info view.

### SHOWMAP

    public static final java.lang.Object[] SHOWMAP

  Flag for activated map view.

### SHOWTABLE

    public static final java.lang.Object[] SHOWTABLE

  Flag for activated table view.

### SHOWTEXT

    public static final java.lang.Object[] SHOWTEXT

  Flag for activated result view.

### SHOWFOLDER

    public static final java.lang.Object[] SHOWFOLDER

  Flag for activated tree view.

### SHOWEXPLORE

    public static final java.lang.Object[] SHOWEXPLORE

  Flag for activated query view.

### SHOWPLOT

    public static final java.lang.Object[] SHOWPLOT

  Flag for activated plot view.

### SHOWXQUERY

    public static final java.lang.Object[] SHOWXQUERY

  Flag for activated xquery view.

### JAVALOOK

    public static final java.lang.Object[] JAVALOOK

  Flag for Java look and feel.

### SHOWNAME

    public static final java.lang.Object[] SHOWNAME

  Flag for dissolving name attributes.

### MOUSEFOCUS

    public static final java.lang.Object[] MOUSEFOCUS

  Focus follows mouse.

### SIMPLEFD

    public static final java.lang.Object[] SIMPLEFD

  Flag for showing the simple file dialog.

### SEARCHMODE

    public static final java.lang.Object[] SEARCHMODE

  Current input mode in global text field (Search, XQuery, Command).

### FILTERRT

    public static final java.lang.Object[] FILTERRT

  Flag for realtime context switch.

### EXECRT

    public static final java.lang.Object[] EXECRT

  Flag for realtime context switch.

### MAPATTS

    public static final java.lang.Object[] MAPATTS

  Show attributes in treemap.

### MAPOFFSETS

    public static final java.lang.Object[] MAPOFFSETS

  Treemap Offsets.

### MAPALGO

    public static final java.lang.Object[] MAPALGO

  Map algorithm.

### MAPWEIGHT

    public static final java.lang.Object[] MAPWEIGHT

  number of children <-> size weight in (0;100).

### PLOTDOTS

    public static final java.lang.Object[] PLOTDOTS

  Dot sizes in plot.

### PLOTXLOG

    public static final java.lang.Object[] PLOTXLOG

  Logarithmic plot.

### PLOTYLOG

    public static final java.lang.Object[] PLOTYLOG

  Logarithmic plot.

### MAPLAYOUTLOC

    public static final java.lang.Object[] MAPLAYOUTLOC

  Dialog location.

### FONTSLOC

    public static final java.lang.Object[] FONTSLOC

  Dialog location.

### COLORSLOC

    public static final java.lang.Object[] COLORSLOC

  Dialog location.

### HELPLOC

    public static final java.lang.Object[] HELPLOC

  Dialog location.

### HELPSIZE

    public static final java.lang.Object[] HELPSIZE

  Dialog size.

### CREATEPATH

    public static final java.lang.Object[] CREATEPATH

  Path for creating new XML Documents.

### XQPATH

    public static final java.lang.Object[] XQPATH

  Path for XQuery files.

### FSIMPORTPATH

    public static final java.lang.Object[] FSIMPORTPATH

  Path for importing the file system.

### FSDBNAME

    public static final java.lang.Object[] FSDBNAME

  Name of the filesystem database.

### FSMOUNT

    public static final java.lang.Object[] FSMOUNT

  Name of the mountpoint.

### FSBACKING

    public static final java.lang.Object[] FSBACKING

  Name of the backingroot.

### FSALL

    public static final java.lang.Object[] FSALL

  Flag for importing complete file system hierarchy.

### COMMANDS

    public static final java.lang.Object[] COMMANDS

  Last command inputs.

### SEARCH

    public static final java.lang.Object[] SEARCH

  Last keyword inputs.

### XQUERY

    public static final java.lang.Object[] XQUERY

  Last XQuery inputs.

### QUERIES

    public static final java.lang.Object[] QUERIES

  Last XQuery files.

### SKIP

    public static final java.lang.Object[] SKIP

  The following options are not saved to disk; don't remove this flag.

### SHOWMENU

    public static final java.lang.Object[] SHOWMENU

  Flag for displaying the menu in the GUI window.

### SHOWHELP

    public static final java.lang.Object[] SHOWHELP

  Flag for activated help view.

### SHOWTREE

    public static final java.lang.Object[] SHOWTREE

  Flag for activated tree view.

### SHOWSTARTTEXT

    public static final java.lang.Object[] SHOWSTARTTEXT

  Flag for activated result view after starting.

### PERFINFO

    public static final java.lang.Object[] PERFINFO

  Flag for skipping time intensive treemap infos.

### MAPFS

    public static final java.lang.Object[] MAPFS

  Shows real file contents in the treemap.

### MAPINTERACTION

    public static final java.lang.Object[] MAPINTERACTION

  Choice of interacting with TreeeMap.

### MAPDIST

    public static final java.lang.Object[] MAPDIST

  Distort map in mouse context.

### MAPTHUMBSIZE

    public static final java.lang.Object[] MAPTHUMBSIZE

  Size of thumb focus in map view fraction of total size.

### LENSSCALE

    public static final java.lang.Object[] LENSSCALE

  Scaling to use in the Map One-click-focus.

### ZOOMBOXALPHA

    public static final java.lang.Object[] ZOOMBOXALPHA

  Alpha value of the zoom box.

### FISHW

    public static final java.lang.Object[] FISHW

  Width of the fisheye view.

### FISHH

    public static final java.lang.Object[] FISHH

  Height of the fisheye view.

### FILECONT

    public static final java.lang.Object[] FILECONT

  Show file contents in TreeMap.

Constructor Detail

### GUIProp

    public GUIProp()

  Constructor.

Method Detail

### files

    public void files(IO file)

  Refreshes the list of recent query files.

  Parameters:
    `file` - new file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD